{
  "version": "0.2.0",
  "compounds": [
    {
      "name": "Run All",
      "presentation": {
        "group": "maingroup",
        "order": 1
      },
      "configurations": ["DotnetWeb.WebApi"]
    }
  ],
  "configurations": [
    {
      "name": "DotnetWeb.WebApi",
      "type": "coreclr",
      "request": "launch",
      "preLaunchTask": "build api",
      "program": "${workspaceFolder}/src/hosts/DotnetWeb.WebApi/bin/Debug/net9.0/DotnetWeb.WebApi.dll",
      "args": [],
      "cwd": "${workspaceFolder}/src/hosts/DotnetWeb.WebApi",
      "stopAtEntry": false,
      "serverReadyAction": {
        "action": "openExternally",
        "pattern": "\\bNow listening on:\\s+(https?://\\S+)",
        "uriFormat": "%s/swagger"
      },
      "env": {
        "ASPNETCORE_ENVIRONMENT": "Development"
      },
      "sourceFileMap": {
        "/Views": "${workspaceFolder}/Views"
      }
    },
    {
      "name": ".NET Core Attach",
      "type": "coreclr",
      "request": "attach"
    }
  ]
}
